<?php
/** 
*
* @package Advanced Double Activation Pack
* @version $Id: umil_auto_adap.php, v 1.011 2013/02/15 Martin Truckenbrodt Exp$
* @copyright (c) 2009 phpBB Group
* @license http://opensource.org/licenses/gpl-license.php GNU Public License 
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'ADVANCED_DOUBLE_ACTIVATION_PACK';

$version_config_name = 'adap_version';

$language_file = 'mods/umil_auto_adap';

$options = array(
);

$versions = array(
	// Version 1.4.0
	'1.4.0'	=> array(
		'config_add' => array(
			array('email_activate_ext', 0, false),
			array('user_prune_next', 0, false),
			array('user_prune_period', 0, false),
			array('user_prune_retain', 1, false),
			array('user_prune_never_time', 6, false),
			array('user_prune_deactivated_time', 12, false),
			array('user_prune_lost_time', 24, false),
			array('user_prune_lost_posts', 0, false),
			array('user_prune_zero_time', 0, false),
			array('user_prune_zero_posts', 0, false),
		),
		'config_update' => array(
			array('require_activation', 4),
		),
		'table_column_add' => array(
			array('phpbb_groups', 'group_prune_exclude', array('TINT:1', '0')),
			array('phpbb_users', 'user_email_verified', array('TINT:1', '0')),
			array('phpbb_users', 'user_prune_exclude', array('TINT:1', '0')),
		),
		'module_add' => array(
			array('acp', 'ACP_BOARD_CONFIGURATION', array(
					'module_basename'		=> 'board',
					'modes'					=> array('user_prune'),
				),
			),
			array('acp', 'ACP_CAT_USERS', array(
					'module_basename'		=> 'users',
					'modes'					=> array('verify'),
				),
			),
			array('acp', 'ACP_CAT_USERS', array(
					'module_basename'		=> 'change_email',
					'modes'					=> array('list'),
				),
			),
		),
		'cache_purge' => array('auth', 'imageset', 'template', 'theme'),
	),
	// Version 1.4.1
	'1.4.1'	=> array(
	),
	// Version 1.4.2
	'1.4.2'	=> array(
	),
	// Version 1.4.3
	'1.4.3'	=> array(
	),
	// Version 1.4.4
	'1.4.4'	=> array(
	),
	// Version 1.4.5
	'1.4.5'	=> array(
	),
	// Version 1.4.6
	'1.4.6'	=> array(
	),
	// Version 1.4.7
	'1.4.7'	=> array(
	),
	// Version 1.4.8
	'1.4.8'	=> array(
	),
	// Version 1.4.9
	'1.4.9'	=> array(
	),
	// Version 1.4.10
	'1.4.10'	=> array(
	),
	// Version 1.4.11
	'1.4.11'	=> array(
	),
	// Version 1.4.12
	'1.4.12'	=> array(
		'config_add' => array(
			array('notify_admin_reg', 0, false),
		),
		'cache_purge' => array(),
	),
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>